DocsAPI referenceFiles
Get a file
GET /v1/files/{id}
Needs an API key: Authorization: Bearer $VIDEXO_API_KEY.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
id required | path | string, up to 128 characters | The file id. |
Request
bash
curl "$VIDEXO_API_URL/v1/files/up_0123456789abcdef01234567" \
-H "Authorization: Bearer $VIDEXO_API_KEY"Copy failed. The text is selected; copy it with your keyboard.
JavaScript
const response = await fetch(`${process.env.VIDEXO_API_URL}/v1/files/up_0123456789abcdef01234567`, {
headers: { Authorization: `Bearer ${process.env.VIDEXO_API_KEY}` },
});
const file = await response.json();Copy failed. The text is selected; copy it with your keyboard.
Response
200 JSON
{
"id": "up_0123456789abcdef01234567",
"kind": "upload",
"filename": "input.mp4",
"content_type": "video/mp4",
"size_bytes": 52428800,
"sha256": "3b1f5d7a9c2e4f60b8d0a2c4e6f8a0b2c4d6e8f0a1b3c5d7e9f1a3b5c7d9e1f3",
"state": "complete",
"job_id": null,
"alias": null,
"input_url": "videxo://uploads/up_0123456789abcdef01234567",
"download_url": null,
"download_url_expires_at": null,
"created_at": "2026-11-04T12:00:00.000Z",
"expires_at": "2026-11-05T12:00:00.000Z"
}Copy failed. The text is selected; copy it with your keyboard.